Bio::LiveSeq::ChainI(3)

NAME
Bio::LiveSeq::ChainI - Double linked chain data structure

SYNOPSIS
  #documentation needed

DESCRIPTION
This class generates and manipulates generic double linked list, chain, that can be used to manage biological sequences.

The advantages over strings or plain arrays is the ease of tracking changes (mutations) in the elements (sequence). The other side of the coin is that these structures need consideraly more memory, but that is cheap and constantly inceasing resource in computers.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Joseph A.L. Insana
Email: Insana@ebi.ac.uk, jinsana@gmx.net

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
  Title   : new
  Usage   : $chain = Bio::LiveSeq::ChainI->new(-string => "thequickbrownfoxjumpsoverthelazydog",
                                             -offset => 3 );
         OR $chain = Bio::LiveSeq::ChainI->new(-array => \@array,
                                             -offset => 3 );
  Function: generates a new Bio::LiveSeq:ChainI
  Returns : a new Chain
  Args    : string
         OR arrayreference
        AND optional offset to create element labels